KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSValue Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The CSSValue interface represents a simple or a complexe value.

## Enumerations
UnitTypes | { CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST, CSS_CUSTOM, CSS_INITIAL, CSS_SVG_VALUE }
## Methods
| __init__ (self)
| __init__ (self, DOM.CSSValue other)
DOM.DOMString | cssText (self)
int | cssValueType (self)
bool | isCSSPrimitiveValue (self)
bool | isCSSValueList (self)
bool | isNull (self)
| setCssText (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSValue | other
| ) |  |  |

DOM.DOMString cssText | ( |  | self ) |

A string representation of the current value.

int cssValueType | ( |  | self ) |

A code defining the type of the value as defined above.

bool isCSSPrimitiveValue | ( |  | self ) |

bool isCSSValueList | ( |  | self ) |

Internal:
  not part of the DOM

bool isNull | ( |  | self ) |

setCssText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see cssText CSSException SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

## Enumeration Documentation

UnitTypes

An integer indicating which type of unit applies to the value.

All CSS2 constants are not supposed to be required by the implementation since all CSS2 interfaces are optionals.

Enumerator:

  CSS_UNKNOWN = 0 |
  CSS_NUMBER = 1 |
  CSS_PERCENTAGE = 2 |
  CSS_EMS = 3 |
  CSS_EXS = 4 |
  CSS_PX = 5 |
  CSS_CM = 6 |
  CSS_MM = 7 |
  CSS_IN = 8 |
  CSS_PT = 9 |
  CSS_PC = 10 |
  CSS_DEG = 11 |
  CSS_RAD = 12 |
  CSS_GRAD = 13 |
  CSS_MS = 14 |
  CSS_S = 15 |
  CSS_HZ = 16 |
  CSS_KHZ = 17 |
  CSS_DIMENSION = 18 |
  CSS_STRING = 19 |
  CSS_URI = 20 |
  CSS_IDENT = 21 |
  CSS_ATTR = 22 |
  CSS_COUNTER = 23 |
  CSS_RECT = 24 |
  CSS_RGBCOLOR = 25 |
  CSS_DPI = 26 |
  CSS_DPCM = 27 |
  CSS_PAIR = 100 |
  CSS_HTML_RELATIVE = 255 |